incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From eric b <eric.bach...@free.fr>
Subject Re: Try to build OOo , but meet error......
Date Sat, 09 Jul 2011 06:54:15 GMT
Hi,


Building on Solaris ?  Isn't it a bit early ?

I didn't follow the whole discussion about your issue, and maybe I'm  
not precise, but other will help.

If ever this is your first, pleae add more information, else nobody  
will be able to help you. tia


Le 9 juil. 11 à 06:19, L'oiseau de mer a écrit :

> if without setting CC and CXX, configure will use gcc and appear ld  
> error.
> if CC=cc and CXX=CC , configure will appear :
> checking for cc... /opt/solstudio12.2/bin//cc
>

First stopper :

> checking the SunStudio C/C++ compiler version... configure: error:
> found version "5.11", use version 5.5, 5.7, 5.8 or 5.9 of the
> SunStudio C/C++ compiler
>


imho (I don't have access to your machine) this is both a configure  
and a dev installset issue.

- mismatch between several SunStudio installsets
- missing files, symlinks, bad environment variables, or something  
else broken in your set


> and i also try to use sunstudio11:but it has other error


If configure fails, you should fix the first issue (probably a  
mismatch issue between SunStudio versions, missing links or something  
like that).


> =====================================================================
> Building deps for ../../../js/src/jsscan.c
> /opt/sunstudio11/SUNWspro/bin/cc -o jsscan.o -c  -DOSTYPE=\"SunOS5\"
> -DOSARCH=\"SunOS\" -DBUILD_ID=0000000000 -DEXPORT_JS_API
> -DJS_USE_SAFE_ARENA   -I../../dist/include/js -I../../dist/include
> -I../../dist/include/nspr    -I../../dist/sdk/include
> -I../../../js/src -I/usr/openwin/include   -KPIC
> -I/usr/openwin/include -xstrconst -xbuiltin=%all -mt  -DNDEBUG
> -DTRIMMED -xO4  -I/usr/openwin/include -DMOZILLA_VERSION=\"1.8.1.19\"
> -DMOZILLA_VERSION_U=1.8.1.19 -DSOLARIS=1

[...cut ... ]

Suggestion : check carefully every flag in the mozilla configure.


> -DMOZILLA_SKIN_VERSION=\"1.8\"  -D_MOZILLA_CONFIG_H_ -DMOZILLA_CLIENT
> ../../../js/src/jsscan.c
>

An assertion has been caught. Read the relevant code and you'll see  
what happens, causing the breakage.


> ube: error: Assert has been violated at
> '/set/venus/builds.intel-S2/nightly.Thu/intel-S2/lang/ube/graphs/ 
> src/scregion.c
> 305'.
> cc: ube failed for ../../../js/src/jsinterp.c


[...cut...]


> make: *** [default] Error 2
> dmake:  Error code 2, while making
> './unxsoli4.pro/misc/build/so_built_ooo_mozab'
>


This error is caused because you want to build mozilla plugin. And  
the code is not ready.

As fisrt step, I'd suggest to disable mozilla build first. Once the  
OOo will be built (some work in meantime I guess), then try to add  
mozilla plugin part.



> 2 module(s):
>         vcl
>         moz
> need(s) to be rebuilt
>


When this issue appears, it means :

cd moz && build

-> read the breakage, fix it. Then do :

cd vcl && build

Repeat the process until both modules are built. Then, only once  
done, you should be able to continue. Modulo the fact moz plugin is  
probably broken on Solaris.



> Reason(s):
>
> ERROR: error 65280 occurred while making /UNIX-LAB/OOO340- 
> c904c1944462/vcl/prj
> ERROR: error 65280 occurred while making /UNIX-LAB/OOO340- 
> c904c1944462/moz
>


The mozilla plugin is expected to be built when vcl build starts.  
This is not the case, causing a cascade of errors ... no way : fix  
the first issue is the right way to progress.

HTH


Regards,
Eric Bachard


-- 
qɔᴉɹə
Education Project:
http://wiki.services.openoffice.org/wiki/Education_Project
Projet OOo4Kids : http://wiki.ooo4kids.org/index.php/Main_Page
L'association EducOOo : http://www.educoo.org
Blog : http://eric.bachard.org/news






Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message